<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3149
Name: Dermatologischer Konsilauftrag
Description: Angaben zur Konsilanfrage durch den Auftraggeber eines Konsils
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3149-2020-03-23T142210">
   <title>Dermatologischer Konsilauftrag</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]
Item: (Konsilanfrage)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]"
         id="d42e2542-false-d22274e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3149']) &gt;= 1">(Konsilanfrage): Element hl7:templateId[@root = '1.2.276.0.76.10.3149'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3149']) &lt;= 1">(Konsilanfrage): Element hl7:templateId[@root = '1.2.276.0.76.10.3149'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:id) &lt;= 1">(Konsilanfrage): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Konsilanfrage): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Konsilanfrage): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:author[not(@nullFlavor)][hl7:assignedAuthor]) &gt;= 1">(Konsilanfrage): Element hl7:author[not(@nullFlavor)][hl7:assignedAuthor] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:author[not(@nullFlavor)][hl7:assignedAuthor]) &lt;= 1">(Konsilanfrage): Element hl7:author[not(@nullFlavor)][hl7:assignedAuthor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]) &lt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]) &gt;= 1">(Konsilanfrage): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:templateId[@root = '1.2.276.0.76.10.3149']
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:templateId[@root = '1.2.276.0.76.10.3149']"
         id="d42e2544-false-d22537e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsilanfrage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@root) = ('1.2.276.0.76.10.3149')">(Konsilanfrage): Der Wert von root MUSS '1.2.276.0.76.10.3149' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:id
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:id"
         id="d42e2549-false-d22551e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsilanfrage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:title[not(@nullFlavor)]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:title[not(@nullFlavor)]"
         id="d42e2551-false-d22561e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Konsilanfrage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="text()='Konsilauftrag'">(Konsilanfrage): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Konsilauftrag'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]
Item: (Konsilanfrage)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(AuthorBody): Der Wert von typeCode MUSS 'AUT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(AuthorBody): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorBody): Element hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time) &gt;= 1">(AuthorBody): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time) &lt;= 1">(AuthorBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(AuthorBody): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(AuthorBody): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:time
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:time">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id) &gt;= 1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]) &lt;= 1">(AuthorBody): Element hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(AuthorBody): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(AuthorBody): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr) &lt;= 1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:author[not(@nullFlavor)][hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]"
         id="d42e2559-false-d22918e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]"
         id="d42e2570-false-d22968e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]"
         id="d22964e100-false-d23009e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="hl7:entry/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4307']]/hl7:value/@value = 'false' or count(hl7:entry/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4323']]) &gt; 0">(DermatologyFindingsSection): Befund: Bei Angabe eines Verdachts auf Malignität muss mindestens eine Veränderung der Hautläsion angegeben werden.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3155']) &gt;= 1">(DermatologyFindingsSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3155'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3155']) &lt;= 1">(DermatologyFindingsSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3155'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:id) &lt;= 1">(DermatologyFindingsSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:code[(@code = '78334-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DermatologyFindingsSection): Element hl7:code[(@code = '78334-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:code[(@code = '78334-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DermatologyFindingsSection): Element hl7:code[(@code = '78334-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologyFindingsSection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologyFindingsSection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:text) &lt;= 1">(DermatologyFindingsSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]) &gt;= 1">(DermatologyFindingsSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]) &lt;= 1">(DermatologyFindingsSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]) &gt;= 1">(DermatologyFindingsSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]) &lt;= 1">(DermatologyFindingsSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:templateId[@root = '1.2.276.0.76.10.3155']
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:templateId[@root = '1.2.276.0.76.10.3155']"
         id="d22964e102-false-d23084e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyFindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="string(@root) = ('1.2.276.0.76.10.3155')">(DermatologyFindingsSection): Der Wert von root MUSS '1.2.276.0.76.10.3155' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:id
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:id"
         id="d22964e107-false-d23098e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyFindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:code[(@code = '78334-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:code[(@code = '78334-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d22964e109-false-d23109e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyFindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="@nullFlavor or (@code='78334-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology Initial evaluation note')">(DermatologyFindingsSection): Der Elementinhalt MUSS einer von 'code '78334-0' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology Initial evaluation note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:title[not(@nullFlavor)]
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:title[not(@nullFlavor)]"
         id="d22964e114-false-d23125e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyFindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="text()='Befund'">(DermatologyFindingsSection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Befund'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:text
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:text"
         id="d22964e120-false-d23139e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyFindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]"
         id="d22964e123-false-d23153e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="string(@typeCode) = ('DRIV')">(DermatologyFindingsSection): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]) &gt;= 1">(DermatologyFindingsSection): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]) &lt;= 1">(DermatologyFindingsSection): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]"
         id="d22964e130-false-d23183e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="string(@typeCode) = ('DRIV')">(DermatologyFindingsSection): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]) &gt;= 1">(DermatologyFindingsSection): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]) &lt;= 1">(DermatologyFindingsSection): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3155
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]
Item: (DermatologyFindingsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3155']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]"
         id="d22964e137-false-d23213e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="string(@typeCode) = ('DRIV')">(DermatologyFindingsSection): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]) &gt;= 1">(DermatologyFindingsSection): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3155-2020-03-24T202409.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]) &lt;= 1">(DermatologyFindingsSection): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]"
         id="d42e2580-false-d23251e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]"
         id="d42e2590-false-d23334e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]"
         id="d23330e248-false-d23429e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3157']) &gt;= 1">(Currentmedicationsection): Element hl7:templateId[@root = '1.2.276.0.76.10.3157'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3157']) &lt;= 1">(Currentmedicationsection): Element hl7:templateId[@root = '1.2.276.0.76.10.3157'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:id) &lt;= 1">(Currentmedicationsection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Currentmedicationsection): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Currentmedicationsection): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Currentmedicationsection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Currentmedicationsection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:text) &lt;= 1">(Currentmedicationsection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:templateId[@root = '1.2.276.0.76.10.3157']
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:templateId[@root = '1.2.276.0.76.10.3157']"
         id="d23330e250-false-d23513e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="string(@root) = ('1.2.276.0.76.10.3157')">(Currentmedicationsection): Der Wert von root MUSS '1.2.276.0.76.10.3157' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:id
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:id"
         id="d23330e255-false-d23527e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d23330e257-false-d23538e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="@nullFlavor or (@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')">(Currentmedicationsection): Der Elementinhalt MUSS einer von 'code '19009-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:title[not(@nullFlavor)]
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:title[not(@nullFlavor)]"
         id="d23330e262-false-d23554e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="text()='Aktuelle Medikation'">(Currentmedicationsection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Aktuelle Medikation'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:text
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:text"
         id="d23330e268-false-d23568e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']]]
Item: (Currentmedicationsection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']]]"
         id="d23330e271-false-d23613e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="string(@typeCode) = ('DRIV')">(Currentmedicationsection): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']]) &gt;= 1">(Currentmedicationsection): Element hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']]) &lt;= 1">(Currentmedicationsection): Element hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]"
         id="d42e2600-false-d23682e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]"
         id="d42e2610-false-d23730e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]"
         id="d42e2620-false-d23770e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]"
         id="d42e2631-false-d23804e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]"
         id="d42e2641-false-d23834e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]"
         id="d42e2651-false-d23866e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]"
         id="d42e2661-false-d23900e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]"
         id="d42e2671-false-d23939e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3149
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3037']]]
Item: (Konsilanfrage)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3149']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3037']]]"
         id="d42e2681-false-d23984e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="string(@typeCode) = ('COMP')">(Konsilanfrage): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3037']]) &gt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3037']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3149-2020-03-23T142210.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3037']]) &lt;= 1">(Konsilanfrage): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3037']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
