<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4314
Name: Konsil Therapiedringlichkeit
Description: Angabe der Therapiedringlichkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4314-2020-04-05T222238">
   <title>Konsil Therapiedringlichkeit</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4314
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]
Item: (Therapiedringlichkeit)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4314
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]
Item: (Therapiedringlichkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]"
         id="d42e9568-false-d47719e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="string(@classCode) = ('OBS')">(Therapiedringlichkeit): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="string(@moodCode) = ('EVN')">(Therapiedringlichkeit): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4314']) &gt;= 1">(Therapiedringlichkeit): Element hl7:templateId[@root = '1.2.276.0.76.10.4314'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4314']) &lt;= 1">(Therapiedringlichkeit): Element hl7:templateId[@root = '1.2.276.0.76.10.4314'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="count(hl7:code[(@code = '103391001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Therapiedringlichkeit): Element hl7:code[(@code = '103391001' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="count(hl7:code[(@code = '103391001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Therapiedringlichkeit): Element hl7:code[(@code = '103391001' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(Therapiedringlichkeit): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Therapiedringlichkeit): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4314
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:templateId[@root = '1.2.276.0.76.10.4314']
Item: (Therapiedringlichkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:templateId[@root = '1.2.276.0.76.10.4314']"
         id="d42e9574-false-d47769e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapiedringlichkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="string(@root) = ('1.2.276.0.76.10.4314')">(Therapiedringlichkeit): Der Wert von root MUSS '1.2.276.0.76.10.4314' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4314
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:id
Item: (Therapiedringlichkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:id"
         id="d42e9579-false-d47783e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapiedringlichkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4314
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:code[(@code = '103391001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Therapiedringlichkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:code[(@code = '103391001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e9581-false-d47794e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapiedringlichkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="@nullFlavor or (@code='103391001' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Urgency')">(Therapiedringlichkeit): Der Elementinhalt MUSS einer von 'code '103391001' codeSystem '2.16.840.1.113883.6.96' displayName='Urgency'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4314
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Therapiedringlichkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e9587-false-d47813e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapiedringlichkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.4.642.3.273-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Therapiedringlichkeit): Der Elementinhalt MUSS einer von '2.16.840.1.113883.4.642.3.273 Goal Priority (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4314-2020-04-05T222238.html"
              test="not(@nullFlavor) or (@nullFlavor='NA')">(Therapiedringlichkeit): Dermatologisches Konsil: bei Angabe der Therapiedringlichkeit ist als nullFlavor nur "NA" erlaubt ("not applicable" / "nicht anwendbar")</assert>
   </rule>
</pattern>
