<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.38
Name: Hautveränderung Form
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256">
   <title>Hautveränderung Form</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]
Item: (HautveraenderungForm)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]
Item: (HautveraenderungForm)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]"
         id="d42e15818-false-d166000e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="string(@classCode) = ('OBS')">(HautveraenderungForm): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="string(@moodCode) = ('EVN')">(HautveraenderungForm): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']) &gt;= 1">(HautveraenderungForm): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']) &lt;= 1">(HautveraenderungForm): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:code[(@code = 'FORM' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9') or @nullFlavor]) &gt;= 1">(HautveraenderungForm): Element hl7:code[(@code = 'FORM' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:code[(@code = 'FORM' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9') or @nullFlavor]) &lt;= 1">(HautveraenderungForm): Element hl7:code[(@code = 'FORM' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:text) &lt;= 1">(HautveraenderungForm): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:value) &gt;= 1">(HautveraenderungForm): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="count(hl7:value) &lt;= 1">(HautveraenderungForm): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']
Item: (HautveraenderungForm)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']"
         id="d42e15824-false-d166053e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungForm): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.38')">(HautveraenderungForm): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.38' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:id
Item: (HautveraenderungForm)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:id"
         id="d42e15829-false-d166067e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungForm): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:code[(@code = 'FORM' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9') or @nullFlavor]
Item: (HautveraenderungForm)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:code[(@code = 'FORM' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9') or @nullFlavor]"
         id="d42e15831-false-d166078e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungForm): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="@nullFlavor or (@code='FORM' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.9' and @displayName='Veränderung der Form')">(HautveraenderungForm): Der Elementinhalt MUSS einer von 'code 'FORM' codeSystem '2.16.840.1.113883.3.1937.777.26.5.9' displayName='Veränderung der Form'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:text
Item: (HautveraenderungForm)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:text"
         id="d42e15837-false-d166094e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungForm): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.38
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:value
Item: (HautveraenderungForm)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.38']]/hl7:value"
         id="d42e15839-false-d166104e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungForm): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
