<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.68
Name: Vorstellung beim Facharzt erforderlich
Description: Vorstellung beim Facharzt erforderlich?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040">
   <title>Vorstellung beim Facharzt erforderlich</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]
Item: (VorstellungBeimFacharztErforderlich)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]
Item: (VorstellungBeimFacharztErforderlich)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]"
         id="d42e16551-false-d167990e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="string(@classCode) = ('ENC')">(VorstellungBeimFacharztErforderlich): Der Wert von classCode MUSS 'ENC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="string(@moodCode) = ('PRP')">(VorstellungBeimFacharztErforderlich): Der Wert von moodCode MUSS 'PRP' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']) &gt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']) &lt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:code[(@code = '57135-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:code[(@code = '57135-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:code[(@code = '57135-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:code[(@code = '57135-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:statusCode[(@code = 'new' and @codeSystem = '2.16.840.1.113883.5.14')]) &gt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:statusCode[(@code = 'new' and @codeSystem = '2.16.840.1.113883.5.14')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:statusCode[(@code = 'new' and @codeSystem = '2.16.840.1.113883.5.14')]) &lt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:statusCode[(@code = 'new' and @codeSystem = '2.16.840.1.113883.5.14')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(VorstellungBeimFacharztErforderlich): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']
Item: (VorstellungBeimFacharztErforderlich)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']"
         id="d42e16557-false-d168046e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorstellungBeimFacharztErforderlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.68')">(VorstellungBeimFacharztErforderlich): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.68' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:id
Item: (VorstellungBeimFacharztErforderlich)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:id"
         id="d42e16562-false-d168060e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorstellungBeimFacharztErforderlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:code[(@code = '57135-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (VorstellungBeimFacharztErforderlich)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:code[(@code = '57135-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16564-false-d168071e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorstellungBeimFacharztErforderlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="@nullFlavor or (@code='57135-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology Referral note')">(VorstellungBeimFacharztErforderlich): Der Elementinhalt MUSS einer von 'code '57135-6' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology Referral note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:statusCode[(@code = 'new' and @codeSystem = '2.16.840.1.113883.5.14')]
Item: (VorstellungBeimFacharztErforderlich)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:statusCode[(@code = 'new' and @codeSystem = '2.16.840.1.113883.5.14')]"
         id="d42e16570-false-d168088e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorstellungBeimFacharztErforderlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="@nullFlavor or (@code='new' and @codeSystem='2.16.840.1.113883.5.14')">(VorstellungBeimFacharztErforderlich): Der Elementinhalt MUSS einer von 'code 'new' codeSystem '2.16.840.1.113883.5.14'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:value[not(@nullFlavor)]
Item: (VorstellungBeimFacharztErforderlich)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.68']]/hl7:value[not(@nullFlavor)]"
         id="d42e16575-false-d168104e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorstellungBeimFacharztErforderlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
