<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4203
Name: Urinausfuhr
Description: Menge der Urinausfuhr
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4203-2017-05-15T000000">
   <title>Urinausfuhr</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]"
         id="d42e8157-false-d43761e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]) &gt;= 1">(Urinausfuhr): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]) &lt;= 1">(Urinausfuhr): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]"
         id="d42e8190-false-d43778e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="string(@classCode) = ('OBS')">(Urinausfuhr): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="string(@moodCode) = ('EVN')">(Urinausfuhr): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4203']) &gt;= 1">(Urinausfuhr): Element hl7:templateId[@root = '1.2.276.0.76.10.4203'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4203']) &lt;= 1">(Urinausfuhr): Element hl7:templateId[@root = '1.2.276.0.76.10.4203'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:id) &lt;= 1">(Urinausfuhr): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:code[(@code = '9187-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Urinausfuhr): Element hl7:code[(@code = '9187-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:code[(@code = '9187-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Urinausfuhr): Element hl7:code[(@code = '9187-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:text) &lt;= 1">(Urinausfuhr): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Urinausfuhr): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(Urinausfuhr): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(Urinausfuhr): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(Urinausfuhr): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(Urinausfuhr): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:templateId[@root = '1.2.276.0.76.10.4203']
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:templateId[@root = '1.2.276.0.76.10.4203']"
         id="d42e8196-false-d43848e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4203')">(Urinausfuhr): Der Wert von root MUSS '1.2.276.0.76.10.4203' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:id
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:id"
         id="d42e8201-false-d43862e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:code[(@code = '9187-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:code[(@code = '9187-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e8203-false-d43873e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="@nullFlavor or (@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Urine output' and @codeSystemName='LOINC')">(Urinausfuhr): Der Elementinhalt MUSS einer von 'code '9187-6' codeSystem '2.16.840.1.113883.6.1' displayName='Urine output' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:text
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:text"
         id="d42e8209-false-d43889e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e8211-false-d43900e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Urinausfuhr): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e8216-false-d43916e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:low) &lt;= 1">(Urinausfuhr): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:high) &lt;= 1">(Urinausfuhr): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d42e8231-false-d43939e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(*)">(Urinausfuhr): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d42e8233-false-d43952e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(*)">(Urinausfuhr): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:value[not(@nullFlavor)]
Item: (Urinausfuhr)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4203']]/hl7:value[not(@nullFlavor)]"
         id="d42e8236-false-d43965e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(@nullFlavor or (@unit='cm3')) or (@nullFlavor or (@unit='mL'))">(Urinausfuhr): value MUSS die Einheit 'cm3' nutzen  oder die Einheit 'mL' nutzen </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Urinausfuhr): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Urinausfuhr): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
