<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4318
Name: Konsil Feedback Konsiliarbericht
Description: Konsil Feedback zum Konsiliarbericht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4318-2020-04-06T154913">
   <title>Konsil Feedback Konsiliarbericht</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4318
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]
Item: (KonsilFeedbackKonsiliarbericht)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4318
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]
Item: (KonsilFeedbackKonsiliarbericht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]"
         id="d42e9791-false-d48244e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="string(@classCode) = ('OBS')">(KonsilFeedbackKonsiliarbericht): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="string(@moodCode) = ('EVN')">(KonsilFeedbackKonsiliarbericht): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4318']) &gt;= 1">(KonsilFeedbackKonsiliarbericht): Element hl7:templateId[@root = '1.2.276.0.76.10.4318'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4318']) &lt;= 1">(KonsilFeedbackKonsiliarbericht): Element hl7:templateId[@root = '1.2.276.0.76.10.4318'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="count(hl7:code[(@code = 'KONSILIARBERICHT' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &gt;= 1">(KonsilFeedbackKonsiliarbericht): Element hl7:code[(@code = 'KONSILIARBERICHT' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="count(hl7:code[(@code = 'KONSILIARBERICHT' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &lt;= 1">(KonsilFeedbackKonsiliarbericht): Element hl7:code[(@code = 'KONSILIARBERICHT' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(KonsilFeedbackKonsiliarbericht): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(KonsilFeedbackKonsiliarbericht): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4318
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:templateId[@root = '1.2.276.0.76.10.4318']
Item: (KonsilFeedbackKonsiliarbericht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:templateId[@root = '1.2.276.0.76.10.4318']"
         id="d42e9797-false-d48294e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackKonsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="string(@root) = ('1.2.276.0.76.10.4318')">(KonsilFeedbackKonsiliarbericht): Der Wert von root MUSS '1.2.276.0.76.10.4318' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4318
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:id
Item: (KonsilFeedbackKonsiliarbericht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:id"
         id="d42e9802-false-d48308e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackKonsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4318
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:code[(@code = 'KONSILIARBERICHT' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]
Item: (KonsilFeedbackKonsiliarbericht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:code[(@code = 'KONSILIARBERICHT' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]"
         id="d42e9804-false-d48319e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackKonsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="@nullFlavor or (@code='KONSILIARBERICHT' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.11' and @displayName='Konsiliarbericht')">(KonsilFeedbackKonsiliarbericht): Der Elementinhalt MUSS einer von 'code 'KONSILIARBERICHT' codeSystem '2.16.840.1.113883.3.1937.777.26.5.11' displayName='Konsiliarbericht'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4318
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (KonsilFeedbackKonsiliarbericht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4318']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e9810-false-d48338e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackKonsiliarbericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4318-2020-04-06T154913.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.570-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KonsilFeedbackKonsiliarbericht): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.570 Konsil Bewertung Angabe (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
