<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.55
Name: Krebserkrankungen (Dermatologie)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833">
   <title>Krebserkrankungen (Dermatologie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]
Item: (KrebserkrankungenDermatologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]
Item: (KrebserkrankungenDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]"
         id="d42e16307-false-d167107e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="string(@classCode) = ('OBS')">(KrebserkrankungenDermatologie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="string(@moodCode) = ('EVN')">(KrebserkrankungenDermatologie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']) &gt;= 1">(KrebserkrankungenDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']) &lt;= 1">(KrebserkrankungenDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="count(hl7:code[(@code = '21850-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(KrebserkrankungenDermatologie): Element hl7:code[(@code = '21850-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="count(hl7:code[(@code = '21850-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(KrebserkrankungenDermatologie): Element hl7:code[(@code = '21850-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(KrebserkrankungenDermatologie): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(KrebserkrankungenDermatologie): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']
Item: (KrebserkrankungenDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']"
         id="d42e16313-false-d167154e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KrebserkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.55')">(KrebserkrankungenDermatologie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.55' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:id
Item: (KrebserkrankungenDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:id"
         id="d42e16318-false-d167168e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KrebserkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:code[(@code = '21850-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (KrebserkrankungenDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:code[(@code = '21850-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16320-false-d167179e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KrebserkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="@nullFlavor or (@code='21850-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Family history of Cancer Narrative')">(KrebserkrankungenDermatologie): Der Elementinhalt MUSS einer von 'code '21850-3' codeSystem '2.16.840.1.113883.6.1' displayName='Family history of Cancer Narrative'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:text[not(@nullFlavor)]
Item: (KrebserkrankungenDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.55']]/hl7:text[not(@nullFlavor)]"
         id="d42e16326-false-d167195e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KrebserkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
