<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.6
Name: Vitalparameter
Description: Vitalparameter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133">
   <title>Vitalparameter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]"
         id="d42e16485-false-d167730e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]) &gt;= 1">(VitalparameterKonsil): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]) &lt;= 1">(VitalparameterKonsil): Element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]"
         id="d42e16499-false-d167773e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="string(@classCode) = ('DOCSECT')">(VitalparameterKonsil): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="string(@moodCode) = ('EVN')">(VitalparameterKonsil): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6']) &gt;= 1">(VitalparameterKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6']) &lt;= 1">(VitalparameterKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3084']) &gt;= 1">(VitalparameterKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.3084'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3084']) &lt;= 1">(VitalparameterKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.3084'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:id) &lt;= 1">(VitalparameterKonsil): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(VitalparameterKonsil): Element hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(VitalparameterKonsil): Element hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(VitalparameterKonsil): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(VitalparameterKonsil): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(VitalparameterKonsil): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(VitalparameterKonsil): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]) &lt;= 1">(VitalparameterKonsil): Element hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6']
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6']"
         id="d42e16505-false-d167859e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.6')">(VitalparameterKonsil): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.6' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:templateId[@root = '1.2.276.0.76.10.3084']
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:templateId[@root = '1.2.276.0.76.10.3084']"
         id="d42e16510-false-d167874e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="string(@root) = ('1.2.276.0.76.10.3084')">(VitalparameterKonsil): Der Wert von root MUSS '1.2.276.0.76.10.3084' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:id
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:id"
         id="d42e16515-false-d167888e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e16518-false-d167899e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital signs' and @codeSystemName='LOINC')">(VitalparameterKonsil): Der Elementinhalt MUSS einer von 'code '8716-3' codeSystem '2.16.840.1.113883.6.1' displayName='Vital signs' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:title[not(@nullFlavor)]
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:title[not(@nullFlavor)]"
         id="d42e16523-false-d167915e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="text()='Vitalparameter'">(VitalparameterKonsil): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Vitalparameter'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:text[not(@nullFlavor)]
Item: (VitalparameterKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:text[not(@nullFlavor)]"
         id="d42e16529-false-d167929e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]
Item: (VitalparameterKonsil)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.6'] and hl7:templateId[@root = '1.2.276.0.76.10.3084']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="string(@typeCode) = ('COMP')">(VitalparameterKonsil): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(VitalparameterKonsil): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
